Loading...
Searching...
No Matches
AVStreamGroup Struct Reference

`#include <libavformat/avformat.h>`

## Data Fields

const AVClass * | av_class
| A class for AVOptions.
void * | priv_data
unsigned int | index
| Group index in AVFormatContext.
int64_t | id
| Group type-specific group ID.
enum AVStreamGroupParamsType | type
| Group type.
union { |
struct AVIAMFAudioElement * iamf_audio_element |
struct AVIAMFMixPresentation * iamf_mix_presentation |
struct AVStreamGroupTileGrid * tile_grid |
struct AVStreamGroupLCEVC * lcevc |
} | params
| Group type-specific parameters.
AVDictionary * | metadata
| Metadata that applies to the whole group.
unsigned int | nb_streams
| Number of elements in AVStreamGroup.streams.
AVStream ** | streams
| A list of streams in the group.
int | disposition
| Stream group disposition - a combination of AV_DISPOSITION_* flags.

## Detailed Description

Definition at line 1098 of file avformat.h.

## Field Documentation

## av_class

const AVClass* AVStreamGroup::av_class

A class for AVOptions.

Set by avformat_stream_group_create().

Definition at line 1102 of file avformat.h.

## priv_data

void* AVStreamGroup::priv_data

Definition at line 1104 of file avformat.h.

## index

unsigned int AVStreamGroup::index

Group index in AVFormatContext.

Definition at line 1109 of file avformat.h.

## id

int64_t AVStreamGroup::id

Group type-specific group ID.

decoding: set by libavformat encoding: may set by the user

Definition at line 1117 of file avformat.h.

## type

enum AVStreamGroupParamsType AVStreamGroup::type

Group type.

decoding: set by libavformat on group creation encoding: set by avformat_stream_group_create()

Definition at line 1125 of file avformat.h.

## iamf_audio_element

struct AVIAMFAudioElement* AVStreamGroup::iamf_audio_element

Definition at line 1131 of file avformat.h.

## iamf_mix_presentation

struct AVIAMFMixPresentation* AVStreamGroup::iamf_mix_presentation

Definition at line 1132 of file avformat.h.

## tile_grid

struct AVStreamGroupTileGrid* AVStreamGroup::tile_grid

Definition at line 1133 of file avformat.h.

## lcevc

struct AVStreamGroupLCEVC* AVStreamGroup::lcevc

Definition at line 1134 of file avformat.h.

## [union]

union { ... } AVStreamGroup::params

Group type-specific parameters.

## metadata

AVDictionary* AVStreamGroup::metadata

Metadata that applies to the whole group.

- demuxing: set by libavformat on group creation
- muxing: may be set by the caller before avformat_write_header()

Freed by libavformat in avformat_free_context().

Definition at line 1145 of file avformat.h.

## nb_streams

unsigned int AVStreamGroup::nb_streams

Number of elements in AVStreamGroup.streams.

Set by avformat_stream_group_add_stream() must not be modified by any other code.

Definition at line 1152 of file avformat.h.

## streams

AVStream** AVStreamGroup::streams

A list of streams in the group.

New entries are created with avformat_stream_group_add_stream().

- demuxing: entries are created by libavformat on group creation. If AVFMTCTX_NOHEADER is set in ctx_flags, then new entries may also appear in av_read_frame().
- muxing: entries are created by the user before avformat_write_header().

Freed by libavformat in avformat_free_context().

Definition at line 1165 of file avformat.h.

## disposition

int AVStreamGroup::disposition

Stream group disposition - a combination of AV_DISPOSITION_* flags.

This field currently applies to all defined AVStreamGroupParamsType.

- demuxing: set by libavformat when creating the group or in avformat_find_stream_info().
- muxing: may be set by the caller before avformat_write_header().

Definition at line 1175 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h